<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="BOUNCE">
  <refnamediv>
    <refname>BOUNCE</refname>
    <refpurpose>Générateur de coordonnées de balles</refpurpose>
  </refnamediv>
  <refsection>
    <title>Block Screenshot</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/BOUNCE_blk.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
  </refsection>
  <refsection id="Contenu_BOUNCE">
    <title>Contenu</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="BOUNCE">Générateur de coordonnées de balles</link>
        </para>
      </listitem>
      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Palette_BOUNCE">Palette</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Boîtededialogue_BOUNCE">Boîte de dialogue</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Propriétéspardéfaut_BOUNCE">Propriétés par défaut</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Fonctiondinterface_BOUNCE">Fonction d'interface</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Fonctiondecalcul_BOUNCE">Fonction de calcul</xref>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Palette_BOUNCE">
    <title>Palette</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="DemoBlocks_pal">DemoBlocks - Palette DemoBlocks</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Boîtededialogue_BOUNCE">
    <title>Boîte de dialogue</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/BOUNCE_gui.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
    <para>

</para>
    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">Mass</emphasis>
        </para>
        <para> La description du paramètre 1.</para>
        <para> Propriétés : Type 'vec' de taille -1. </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Radius</emphasis>
        </para>
        <para> La description du paramètre 2.</para>
        <para> Propriétés : Type 'vec' de taille -1. </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">[xmin,xmax,ymin,ymax]</emphasis>
        </para>
        <para> La description du paramètre 3.</para>
        <para> Propriétés : Type 'vec' de taille -1. </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">xpos</emphasis>
        </para>
        <para> La description du paramètre 4.</para>
        <para> Propriétés : Type 'vec' de taille -1. </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">xdpos</emphasis>
        </para>
        <para> La description du paramètre 5.</para>
        <para> Propriétés : Type 'vec' de taille -1. </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">ypos</emphasis>
        </para>
        <para> La description du paramètre 6.</para>
        <para> Propriétés : Type 'vec' de taille -1. </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">ydpos</emphasis>
        </para>
        <para> La description du paramètre 7.</para>
        <para> Propriétés : Type 'vec' de taille -1. </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">g (gravity)</emphasis>
        </para>
        <para> La description du paramètre 8.</para>
        <para> Propriétés : Type 'vec' de taille 1. </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">C (aerodynamic coeff</emphasis>
        </para>
        <para> La description du paramètre 9.</para>
        <para> Propriétés : Type 'vec' de taille 1.</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Propriétéspardéfaut_BOUNCE">
    <title>Propriétés par défaut</title>
    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">toujours actif:</emphasis> oui</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">direct-feedthrough:</emphasis> non</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">détection de passage à zéro:</emphasis> oui</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">mode:</emphasis> non</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">sorties régulières:</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 1 : taille [2,1] / type 1</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 2 : taille [2,1] / type 1</emphasis>
        </para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">nombre des entrées évènementielles:</emphasis> 0</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">nombre des sorties évènementielles:</emphasis> 0</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">possède un état continu:</emphasis> oui</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">possède un état discret:</emphasis> non</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">possède un état objet:</emphasis> non</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">nom de la fonction de calcul:</emphasis>
          <emphasis role="italic">bounce_ball</emphasis>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Fonctiondinterface_BOUNCE">
    <title>Fonction d'interface</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/macros/Misc/BOUNCE.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Fonctiondecalcul_BOUNCE">
    <title>Fonction de calcul</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/src/c/bounce_ball.c (Type 4)</para>
      </listitem>
    </itemizedlist>
  </refsection>
</refentry>
